// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: reservemodule/reservemodule.proto

package openfmb.reservemodule;

public interface ReserveRequestOrBuilder extends
    // @@protoc_insertion_point(interface_extends:reservemodule.ReserveRequest)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>string requestID = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The requestID.
   */
  java.lang.String getRequestID();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>string requestID = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The bytes for requestID.
   */
  com.google.protobuf.ByteString
      getRequestIDBytes();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reservemodule.ReserveMargin margin = 2;</code>
   * @return Whether the margin field is set.
   */
  boolean hasMargin();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reservemodule.ReserveMargin margin = 2;</code>
   * @return The margin.
   */
  openfmb.reservemodule.ReserveMargin getMargin();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reservemodule.ReserveMargin margin = 2;</code>
   */
  openfmb.reservemodule.ReserveMarginOrBuilder getMarginOrBuilder();

  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reservemodule.ReserveMargin standbyMargin = 3;</code>
   * @return Whether the standbyMargin field is set.
   */
  boolean hasStandbyMargin();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reservemodule.ReserveMargin standbyMargin = 3;</code>
   * @return The standbyMargin.
   */
  openfmb.reservemodule.ReserveMargin getStandbyMargin();
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.reservemodule.ReserveMargin standbyMargin = 3;</code>
   */
  openfmb.reservemodule.ReserveMarginOrBuilder getStandbyMarginOrBuilder();
}
